import * as grpc from 'grpc';
import { SalesforceService } from '../salesforce.service';
import { sfservices } from '@shingo/sf-api-shared';
export interface EnvironmentVars {
    SF_ENV: string;
    SF_URL: string;
    SF_USER: string;
    SF_PASS: string;
}
export declare class SalesforceMicroservice implements sfservices.SalesforceMicroserviceImplementation {
    private sfservice;
    service: grpc.ServiceDefinition<sfservices.SalesforceMicroserviceImplementation>;
    constructor(env: EnvironmentVars, sfservice?: SalesforceService);
    Query: grpc.handleUnaryCall<{}, import("@shingo/sf-api-shared/build/sf_services.interface").JSONObject>;
    Retrieve: grpc.handleUnaryCall<{}, import("@shingo/sf-api-shared/build/sf_services.interface").JSONObject>;
    Create: grpc.handleUnaryCall<{}, import("@shingo/sf-api-shared/build/sf_services.interface").JSONObject>;
    Update: grpc.handleUnaryCall<{}, import("@shingo/sf-api-shared/build/sf_services.interface").JSONObject>;
    Delete: grpc.handleUnaryCall<{}, import("@shingo/sf-api-shared/build/sf_services.interface").JSONObject>;
    Upsert: grpc.handleUnaryCall<{}, import("@shingo/sf-api-shared/build/sf_services.interface").JSONObject>;
    Describe: grpc.handleUnaryCall<{}, import("@shingo/sf-api-shared/build/sf_services.interface").JSONObject>;
    Search: grpc.handleUnaryCall<{}, import("@shingo/sf-api-shared/build/sf_services.interface").JSONObject>;
}
//# sourceMappingURL=salesforce.microservice.d.ts.map